[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GridHeight

Total height for all of the rows in the grid control.

## Declaration

Source position: grids.pas line 1264

`protected property TCustomGrid.GridHeight : Integer read FGCache.GridHeight;`

## Description

GridHeight is a read-only Integer property which contains the calculated height for all of the rows in the grid control. Its value is provided using the cached values stored in GCache when row or column sizes are calculated for the control.

## See also

TCustomGrid.GridWidth |  | Total width for all columns in the Grid including non-visible columns.
TCustomGrid.GCache |  | Contains cached data about the visual layout and state for the grid control.
TCustomGrid.VisualChange |  | Updates the grid after changes to the visual properties in the control.